Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.enums
Class AbstractGenericLabeledEnum

    java.lang.Object
      org.springframework.core.enums.AbstractLabeledEnum
          org.springframework.core.enums.AbstractGenericLabeledEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, LabeledEnum

Direct Known Subclasses:
  LetterCodedLabeledEnum, ShortCodedLabeledEnum, StringCodedLabeledEnum

Deprecated. as of Spring 3.0, in favor of Java 5 enums.

    public abstract class AbstractGenericLabeledEnum

extends AbstractLabeledEnum

Base class for labeled enum instances that aren't static.

Since:
  1.2.6
Author:
  Keith Donald
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.enums.LabeledEnum
`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

Constructor Summary
`protected` | `AbstractGenericLabeledEnum(java.lang.String label)` Deprecated. Create a new StaticLabeledEnum instance.

Method Summary
`java.lang.String` | `getLabel()` Deprecated. Return a descriptive, optional label.

Methods inherited from class org.springframework.core.enums.AbstractLabeledEnum
`compareTo, equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.core.enums.LabeledEnum
`getCode`

Constructor Detail

### AbstractGenericLabeledEnum

    protected AbstractGenericLabeledEnum(java.lang.String label)

  Deprecated.
  Create a new StaticLabeledEnum instance.

  Parameters:
    `label` - the label; if `null`), the enum's code will be used as label

Method Detail

### getLabel

    public java.lang.String getLabel()

  Deprecated.
  Description copied from interface: `LabeledEnum`
  Return a descriptive, optional label.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD